PDA

View Full Version : Ruby on rails installation problem



begin
May 17th, 2011, 07:10 AM
Ubuntu 10.10
I am using this thread http://clevercoda.com/?p=8

and when i get the step when i write
sudo ln -s /usr/bin/gem1.8 /usr/bin/gem

The following happen
ERROR: Loading command: update (LoadError)
no such file to load -- zlib
ERROR: While executing gem ... (NameError)
uninitialized constant Gem::Commands::UpdateCommand
what to do ?


or even when using this thread
https://help.ubuntu.com/community/RubyOnRails/
and type this
sudo aptitude install ruby build-essential libopenssl-ruby ruby1.8-dev
its says
sudo: aptitude: command not found


THANKS ALOT!
IFOUND THIS http://www.youtube.com/watch?v=NmWYZVUln4E&feature=player_embedded